.item {
  margin-bottom: 30px;
  padding: 112px 20px;
  display: flex;
  overflow: hidden;
  width: 100%;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
  color: $black;

  @include transition;

  @include media-breakpoint-down(xxl) {
    padding: 50px 20px;
  }

  @include media-breakpoint-down(lg) {
    margin-bottom: 0;
    margin-left: -20px;
    padding: 100px 0 80px;
    min-width: calc(100% + 40px);
  }

  @include media-breakpoint-down(md) {
    padding: 60px 0;
  }

  &:hover {
    color: $gray;
    box-shadow: 0 25px 50px -16px rgba(189, 189, 189, .35);

    .item__picture-wrapper {
      transform: translateY(-3%);
    }

    .item__title {

      &:after {
        opacity: 1;
      }
    }
  }

  &__wrapper {
    display: flex;
  }

  &__picture-wrapper {
    margin-bottom: 50px;
    display: flex;
    width: 90%;
    height: 600px;
    justify-content: center;
    align-items: center;

    @include transition;

    @include media-breakpoint-down(xxl) {
      margin-bottom: 75px;
      max-width: 480px;
      max-height: 480px;
    }

    @include media-breakpoint-down(lg) {
      margin-bottom: 85px;
      max-width: 540px;
      max-height: 540px;
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 40px;
      max-width: 285px;
      max-height: 285px;
      align-items: flex-end;
    }
  }

  &__picture {
    position: relative;
    max-width: 100%;
    max-height: 100%;

    @include media-breakpoint-down(md) {
      display: flex;
      justify-content: center;
      align-items: flex-end;
    }

    &:after {
      position: absolute;
      top: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';
      background: rgba($black, .3);
      filter: blur(40px);

      @include transition;
    }

    &--round {

      &:after {
        top: 23%;
        left: 17%;
        width: 80%;
        height: 80%;
        background: rgba($black, .25);
        border-radius: 50%;
      }
    }

    &--rectangle {

      &:after {
        top: 10%;
        left: 50%;
        width: 100%;
        height: 100%;
        background: rgba($black, .25);
        transform: translateX(-50%);
      }
    }

    &--mini {

      &:after {
        display: none;
      }

      .item__picture-shadow {
        position: absolute;
        top: -15%;
        left: -8%;
        display: block;
        width: 100%;
        height: 100%;
        content: '';

        @include transition;
      }

      svg {
        width: 140%;
        height: 140%;
      }
    }

    &--midi {
      max-width: 570px;

      &:after {
        display: none;
      }

      .item__picture-shadow {
        position: absolute;
        top: -15%;
        left: -10%;
        display: block;
        width: 100%;
        height: 100%;
        content: '';

        @include transition;
      }

      svg {
        width: 140%;
        height: 140%;
      }
    }
  }

  &__picture-img {
    position: relative;
    z-index: 1;
    max-height: 600px;

    @include media-breakpoint-down(xxl) {
      max-width: 480px;
      max-height: 480px;
    }

    @include media-breakpoint-down(xl) {
      max-width: 360px;
      max-height: 360px;
    }

    @include media-breakpoint-down(lg) {
      max-width: 540px;
      max-height: 540px;
    }

    @include media-breakpoint-down(md) {
      max-width: 285px;
      max-height: 285px;
    }
  }

  &__title {
    position: relative;
    z-index: 1;
    margin-bottom: 0;
    text-align: center;

    @include media-breakpoint-down(md) {
      font-size: 48px;
    }

    &:after {
      position: absolute;
      top: calc(100% + 30px);
      left: 50%;
      display: block;
      width: 90px;
      height: 10px;
      opacity: 0;
      content: '';
      background: url(../img/item-dash.svg) no-repeat center;
      background-size: contain;
      transform: translateX(-50%);

      @include transition;

      @include media-breakpoint-down(xxl) {
        top: calc(100% + 10px);
      }
    }
  }

  &--pink {
    background: #f39b96;
  }

  &--orange {
    background: #f9bd52;
  }

  &--blue {
    background: #ddd1fc;
  }

  &--red {
    background: #ff7684;
  }

  &--sprout {
    background: #a8ce99;
  }

  &--peach {
    background: #f88c64;
  }

  &--purple {
    background: #da8ea1;
  }

  &--green {
    background: #71bf9b;
  }

  &--light {
    background: #ffe9a5;
  }

  &--dark {
    background: #bacbc0;
  }

  &--sky {
    background: #ade1dd;
  }

  &--section {
    margin-bottom: 0;
    padding-top: 155px;
    padding-bottom: 70px;

    @include media-breakpoint-down(xxl) {
      padding-bottom: 135px;
    }

    @include media-breakpoint-down(xl) {
      margin-left: 0;
      padding-top: 100px;
      padding-bottom: 80px;
      min-width: 0;
    }

    @include media-breakpoint-down(md) {
      padding-top: 50px;
      padding-bottom: 60px;
      width: 100%;
    }

    .item__picture-wrapper {
      margin-bottom: 40px;
      max-height: 520px;

      @include media-breakpoint-down(xxl) {
        margin-bottom: 80px;
        max-width: 360px;
        max-height: 360px;
      }

      @media (max-width: 1399px) {
        max-width: 320px;
        max-height: 320px;
      }

      @include media-breakpoint-down(xl) {
        margin-bottom: 105px;
        max-width: 520px;
        max-height: 520px;
      }

      @include media-breakpoint-down(md) {
        margin-bottom: 40px;
        max-width: 285px;
        max-height: 285px;
      }
    }

    .item__picture-img {
      max-height: 520px;

      @include media-breakpoint-down(xxl) {
        max-width: 360px;
        max-height: 360px;
      }

      @media (max-width: 1399px) {
        max-width: 320px;
        max-height: 320px;
      }

      @include media-breakpoint-down(xl) {
        max-width: 520px;
        max-height: 520px;
      }

      @include media-breakpoint-down(md) {
        max-width: 285px;
        max-height: 285px;
      }
    }
  }

  &--section-left {
    padding-left: 80px;

    @include media-breakpoint-down(xxl) {
      padding-left: 0;
    }
  }
}

.js-more-item {
  display: none;
}
